지정된 연합에서 연결된 조직 구성 하나를 제거합니다. 참고: 연합에 연결된 조직이 하나만 있는 경우 이 요청이 실패합니다.
역할 요구 사항
- 조직 소유자
경로 매개변수
-
연합을 식별하는 고유한 24자리 16진수 문자열.
형식은
^([a-f0-9]{24})$패턴 과 일치해야 합니다. -
제거할 연결된 조직 구성을 식별하는 고유한 24자리 16진수 문자열.
형식은
^([a-f0-9]{24})$패턴 과 일치해야 합니다.
DELETE /API/Atlas/v1.0/federationSettings/{federationSettingsId}/connectedOrgConfigs/{orgId}
curl \
--request DELETE 'https://cloud.mongodb.com/api/atlas/v1.0/federationSettings/55fa922fb343282757d9554e/connectedOrgConfigs/32b6e34b3d91647abb20e7b8' \
--header "Authorization: Bearer $ACCESS_TOKEN"
응답 예시(400)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
응답 예시(401)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
응답 예시(403)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
응답 예시(404)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
응답 예시(500)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}